Skip to content
Sign upLog in
← Back to Community

Discord.py getting error

Profile icon
thedankboi

So im getting this error in my discord bot, and I looked it up, and it turns out discord.py is outdated or something. I don't know how to import a more up-to-date version.

TypeError: __new__() got an unexpected keyword argument 'deny_new'
Voters
Profile icon
ProX2
Profile icon
thedankboi
Comments
hotnewtop
Profile icon
[deleted]

You can just use the package manager option on the left. The icon's the small box. Then search up discord there and press the + button. You're guaranteed the get the correct option there. Hope this helps ya!

Profile icon
PattanAhmed

@eekboi
ya!

Profile icon
PYer

Update the requirements.txt file to use the latest version. You currently have it set to version 1.3.4. I believe the latest is 1.4.1.

discord.py==1.3.4 -> discord.py==1.4.1

Please mark as the answer if this helped